Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ECG_Mcast_EH::Observer Class Reference

Observe changes in the EC subscriptions. More...

`#include <EC_Gateway_UDP.h>`

Inheritance diagram for TAO_ECG_Mcast_EH::Observer

[legend]
Collaboration diagram for TAO_ECG_Mcast_EH::Observer:

[legend]
List of all members.

## Public Methods
| Observer (TAO_ECG_Mcast_EH* eh)
| We report changes in the EC subscriptions to the event handler.
virtual void | update_consumer ( const RtecEventChannelAdmin::ConsumerQOS& sub, CORBA::Environment &env = TAO_default_environment ()) throw (CORBA::SystemException)
virtual void | update_supplier ( const RtecEventChannelAdmin::SupplierQOS& pub, CORBA::Environment &env = TAO_default_environment ()) throw (CORBA::SystemException)
## Private Attributes
TAO_ECG_Mcast_EH* | eh_
| Our callback object.

## Detailed Description

Observe changes in the EC subscriptions.

As the subscriptions on the EC change we also change the mcast groups that we join. We could use the TIE classes, but they don't work in all compilers.

## Constructor & Destructor Documentation

TAO_ECG_Mcast_EH::Observer::Observer ( | TAO_ECG_Mcast_EH * eh )

| We report changes in the EC subscriptions to the event handler.

## Member Function Documentation

void TAO_ECG_Mcast_EH::Observer::update_consumer ( | const RtecEventChannelAdmin::ConsumerQOS & sub,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

void TAO_ECG_Mcast_EH::Observer::update_supplier ( | const RtecEventChannelAdmin::SupplierQOS & pub,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

TAO_ECG_Mcast_EH * TAO_ECG_Mcast_EH::Observer::eh_`[private]`

| Our callback object.

The documentation for this class was generated from the following files:

- EC_Gateway_UDP.h
- EC_Gateway_UDP.cpp